Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732072 - dev-python/pythondialog-3.5.1 stabilisation and cleanup old
Summary: dev-python/pythondialog-3.5.1 stabilisation and cleanup old
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Amel Hodzic
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest
Depends on:
Blocks: EAPI5Removal python37-stable-needed
  Show dependency tree
 
Reported: 2020-07-10 10:11 UTC by Andreas Sturmlechner
Modified: 2020-07-20 02:16 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/pythondialog-3.5.1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-07-10 10:11:18 UTC
Please add arches if ready.
Comment 1 Amel Hodzic 2020-07-12 22:09:40 UTC
amd64 is stable.  Removing version 3.3.0 gets rid of EAPI5.
Comment 2 Amel Hodzic 2020-07-14 17:34:24 UTC
The pull-request was closed without merges.  Apparently, "stabilisation was already started properly, and will be carried out by arch teams, in the linked bug".

So, I'm not sure what, if anything, is asked of me here.
Comment 3 Andreas Sturmlechner gentoo-dev 2020-07-14 17:38:56 UTC
Did you take a look at this bug's history? https://bugs.gentoo.org/show_activity.cgi?id=732072

In short:
- I waited for some kind of (non-)acknowledgement
- You kind of did that in comment #1
- I added arches to CC in response
- Everything else will be handled by arch teams

See also: https://devmanual.gentoo.org/keywording/index.html#moving-from-arch-to-arch
Comment 4 Patrice Clement gentoo-dev 2020-07-14 20:44:05 UTC
I've marked amd64 stable cause I use this library myself on an amd64 machine. Thanks.
Comment 5 Agostino Sarubbo gentoo-dev 2020-07-17 15:10:37 UTC
ppc stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-07-17 15:15:28 UTC
sparc stable
Comment 7 Sam James archtester gentoo-dev Security 2020-07-19 01:31:52 UTC
x86 stable. Please cleanup.
Comment 8 Amel Hodzic 2020-07-19 20:04:59 UTC
Are we still waiting for arm and ia64?
Comment 9 Andreas Sturmlechner gentoo-dev 2020-07-19 20:06:29 UTC
They were not stable in the previous version and thus were not added for this stabilisation either. All arches are done.
Comment 10 Larry the Git Cow gentoo-dev 2020-07-19 20:08:16 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91e869f13aaa02453d0936f41985302e6117583b

commit 91e869f13aaa02453d0936f41985302e6117583b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-07-19 20:08:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-07-19 20:08:03 +0000

    dev-python/pythondialog: Drop 3.3.0
    
    Overshadowed by 3.5.1.
    
    Closes: https://bugs.gentoo.org/732072
    Package-Manager: Portage-3.0.0, Repoman-2.3.23
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-python/pythondialog/Manifest                  |  1 -
 dev-python/pythondialog/pythondialog-3.3.0.ebuild | 38 -----------------------
 2 files changed, 39 deletions(-)
Comment 11 Amel Hodzic 2020-07-20 02:16:38 UTC
Excellent,

Thank you guys for the work and the learning experience.